Skip to main content
GET
Retrieve an email

Authorizations

Authorization
string
header
required

An API key from the dashboard. sk_live_… sends; sk_test_… validates and returns ids without sending.

Path Parameters

id
string
required
Example:

"em_01j9x7k2r4m8q3v5n6b7c8d9e0"

Response

The email

id
string
required
Example:

"em_01j9x7k2r4m8q3v5n6b7c8d9e0"

channel
enum<string>
required
Available options:
email
class
enum<string>
required
Available options:
transactional,
marketing
status
enum<string>
required
Available options:
queued,
sent,
delivered,
bounced,
complained,
failed,
expired,
rejected
to
string
required

Recipients as sent

from
string
required
subject
string | null
required
tags
string[]
required
error
object | null
required
createdAt
string<date-time>
required
sentAt
string<date-time> | null
required
deliveredAt
string<date-time> | null
required
attachments
object[]
required
events
object[]
required

The full timeline, oldest first.